## pmake 1.39

=== mk/Makefile ===
#	$NetBSD: Makefile,v 1.19 1997/09/09 10:33:19 agc Exp $
#	@(#)Makefile	8.1 (Berkeley) 6/8/93

FILES=	bsd.README bsd.doc.mk bsd.dep.mk bsd.files.mk bsd.inc.mk bsd.kmod.mk \
	bsd.lib.mk bsd.links.mk bsd.man.mk bsd.nls.mk bsd.obj.mk bsd.own.mk \
	bsd.port.mk bsd.port.subdir.mk \
	bsd.prog.mk bsd.subdir.mk bsd.sys.mk sys.mk
FILESDIR=/usr/share/mk
NOOBJ=	noobj

BINMODE=444

.include <bsd.prog.mk>

## pmake 1.45-3.2

=== debian/changelog ===
pmake (1.45-3.2) frozen unstable; urgency=low

  * it's for frozen too

 -- Jim Lynch <jwl@debian.org>  Mon,  6 Mar 2000 09:03:28 +0800

pmake (1.45-3.1) unstable; urgency=low

  * Apply patch in Bug#56878 (Closes Bug#56878)

 -- Jim Lynch <jwl@debian.org>  Sun,  5 Mar 2000 12:45:54 +0800

pmake (1.45-3) unstable; urgency=low

  * Unconditionally set OBJECT_FMT to "a.out" in mk/bsd.own.mk (Fixes
    crtbegin/crtend.o problems on powerpc and alpha). (Closes Bug#38951).

 -- Edward Brocklesby <ejb@debian.org>  Sun,  6 Jun 1999 09:35:15 +0000

pmake (1.45-2) unstable; urgency=low

  * Fixed crt0.o stuff in mk/bsd.prog.mk.
  * Fixed FUD in /usr/share/mk/bsd.README

 -- Edward Brocklesby <ejb@debian.org>  Sun, 23 May 1999 16:55:06 +0000

pmake (1.45-1) unstable; urgency=low

  * New upstream version.
  * Moved mk files back from /usr/lib/mk to /usr/share/mk.

 -- Edward Brocklesby <ejb@debian.org>  Wed,  5 May 1999 21:08:58 +0000

pmake (1.39-4) unstable; urgency=low

  * New maintainer.

 -- Edward Brocklesby <ejb@debian.org>  Tue, 23 Feb 1999 21:01:53 +0000

pmake (1.39-3) unstable; urgency=low

  * debian/control (Maintainer): new address.
  * debian/copyright: ditto.
  * debian/control (Standards-Version): updated to 2.5.0.0.

 -- James Troup <james@nocrew.org>  Tue, 10 Nov 1998 13:37:41 +0000

pmake (1.39-2) frozen unstable; urgency=medium

  * mk/bsd.man.mk: correct CATDEPS, Herbet Xu
    <herbert@gondor.apana.org.au>. [#21158]
  * debian/control (Standards-Version): Updated to 2.4.1.0.

 -- James Troup <jjtroup@comp.brad.ac.uk>  Wed, 15 Apr 1998 12:12:11 +0200

pmake (1.39-1) unstable; urgency=high

  * New upstream version [98-03-16].
  * Reverts back to .orig.tar.gz and .diff.gz.
  * Replace mkdep with the one from OpenBSD as it deals with temporary
    files in a secure fashion. [#19806]
  * pmake now comes with ASCII and postscript versions of the pmake
    tutorial in /usr/doc/pmake/.
  * debian/control: Updated Standards-Version to 2.4.0.0 [#16780].
  * debian/copyright: Corrected ftp site information.
  * debian/copyright: Expanded changes description.
  * debian/rules: No longer uses {,} and other minor changes.
  * mk/bsd.doc.mk: Groff's tmac macros are in /usr/share/groff/tmac, 
    not /usr/share/tmac on Debian GNU/Linux.
  * mk/bsd.lib.mk: added a machine definition "debian".
  * mk/bsd.own.mk: s#/usr/share/"/usr/" for  MANDIR and DOCDIR.
  * mk/bsd.own.mk: s/wheel/root/g.
  * mk/bsd.own.mk: define MANZ.
  * mk/bsd.own.mk: don't make files unwritable by owner.
  * mk/bsd.prog.mk: undefine LIBCRT0.
  * mk/sys.mk: MAKE is pmake not GNU make.
  * var.c: #include <stdio.h> because <regex.h> needs it.
  * util.c: don't try to redefine libc functions by #ifndefing a large
    chunk on (__linux__).

 -- James Troup <jjtroup@comp.brad.ac.uk>  Thu, 19 Mar 1998 20:53:45 +0100

pmake (1.0-17) unstable; urgency=low

  * Fixed mk/bsd.lib.mk so that bogus `-q' argument isn't passed to 
    tsort [#11536]

 -- James Troup <jjtroup@comp.brad.ac.uk>  Mon, 28 Jul 1997 21:17:39 +0100

pmake (1.0-16) unstable; urgency=low

  * Abandonned debian diff, since the diff is bigger than the original
    source.
  * Added mkdep (again from NetBSD Current) [fixes #11464].

 -- James Troup <jjtroup@comp.brad.ac.uk>  Fri, 25 Jul 1997 13:50:44 +0100

pmake (1.0-15) unstable; urgency=low

  * Updated source to NetBSD Current.
  * Rebuilt with libc6.

 -- James Troup <jjtroup@comp.brad.ac.uk>  Sat,  5 Jul 1997 01:10:27 +0100

pmake (1.0-14) unstable; urgency=low

  * New maintainer.
  * Upgraded to Standards 2.1.3.0 (Fixes bug #9491, #3793).
  * bsd.lib.mk no longer passes spurious `T' argument to ar 
    (Fixes bug #3793), patch from Philip Blundell <pb@nexus.co.uk>.

 -- James Troup <jjtroup@comp.brad.ac.uk>  Wed, 14 May 1997 01:34:07 +0100

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: pmake
Section: devel
Priority: optional
Maintainer: Edward Brocklesby <ejb@debian.org>
Standards-Version: 2.5.0.0

Package: pmake
Architecture: any
Depends: ${shlibs:Depends}
Description: 4.4BSD make (pmake).
 Pmake is a program designed to simplify the maintenance of other
 programs. Its input is a list of specifications as to the files upon
 which programs and other files depend.  mkdep, a program to construct
 Makefile dependency lists, is also included.

=== debian/rules ===
#!/usr/bin/make -f
# Build rules for pmake (1.39)
# Based on Ian Jackson's sample rules file for GNU hello
# Copyright 1994,1995 by Ian Jackson.
# Copyright 1997,1998 by James Troup.
# Copyright 1999 by Edward Brocklesby.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)

ARCH=$(shell dpkg --print-gnu-build-architecture)
CFLAGS="-O2  -g -Wall -D__COPYRIGHT\(x\)= -D__RCSID\(x\)= \
	-I. -DMACHINE=\\\"debian\\\" -DMACHINE_ARCH=\\\"${ARCH}\\\""

build:
	$(checkdir)
	$(MAKE) -f Makefile.boot CFLAGS=$(CFLAGS)
	touch build

clean:
	$(checkdir)
	$(MAKE) -f Makefile.boot clean
	-rm -rf build *~ debian/tmp debian/*~ debian/files* debian/substvar*

binary-indep:   checkroot build
	$(checkdir)

binary-arch:    checkroot build
	$(checkdir)
	-rm -rf debian/tmp/
	install -d -m 755 debian/tmp/DEBIAN/
	install -m 644 debian/control debian/tmp/DEBIAN/

	install -d -m 755 debian/tmp/usr/bin/
	install -s -m 755 bmake debian/tmp/usr/bin/pmake
	install -m 755 mkdep debian/tmp/usr/bin/

	install -d -m 755 debian/tmp/usr/man/man1/
	install -m 644 make.1 debian/tmp/usr/man/man1/pmake.1
	install -m 644 mkdep.1 debian/tmp/usr/man/man1/
	gzip -9v debian/tmp/usr/man/man1/*

	install -d -m 755 debian/tmp/usr/share/mk/
	for file in mk/*; \
	do \
	  install -m 644 $$file debian/tmp/usr/share/$$file; \
	done

	install -d -m 755 debian/tmp/usr/doc/pmake/
	groff -Tascii -M/usr/share/groff/tmac -ms PSD.doc/tutorial.ms > \
	      debian/tmp/usr/doc/pmake/tutorial.asc
	groff -Tps -M/usr/share/groff/tmac -ms PSD.doc/tutorial.ms > \
	      debian/tmp/usr/doc/pmake/tutorial.ps
	cp debian/changelog debian/tmp/usr/doc/pmake/changelog.Debian
	gzip -9v debian/tmp/usr/doc/pmake/*
	install -m 644 debian/copyright  debian/tmp/usr/doc/pmake/

	dpkg-shlibdeps debian/tmp/usr/bin/pmake
	dpkg-gencontrol 
	chown -R root.root debian/tmp/
	chmod -R go=rX debian/tmp/
	dpkg --build debian/tmp/ ..

define checkdir
	test -f make.c -a -f debian/rules
endef

# Below here is fairly generic really

binary:         binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## pmake 1.45-10

=== Makefile ===
#	$NetBSD: Makefile,v 1.18 1997/10/24 09:00:47 lukem Exp $
#	@(#)Makefile	5.2 (Berkeley) 12/28/90

CPPFLAGS+= -I${.CURDIR}
PROG=	make
SRCS=	arch.c buf.c compat.c cond.c dir.c for.c hash.c job.c main.c \
	make.c parse.c str.c suff.c targ.c var.c util.c
SRCS+=	lstAppend.c lstAtEnd.c lstAtFront.c lstClose.c lstConcat.c \
	lstDatum.c lstDeQueue.c lstDestroy.c lstDupl.c lstEnQueue.c \
	lstFind.c lstFindFrom.c lstFirst.c lstForEach.c lstForEachFrom.c \
	lstInit.c lstInsert.c lstIsAtEnd.c lstIsEmpty.c lstLast.c \
	lstMember.c lstNext.c lstOpen.c lstRemove.c lstReplace.c lstSucc.c
.PATH:	${.CURDIR}/lst.lib

.if make(install)
SUBDIR=	PSD.doc
.endif

.include <bsd.prog.mk>
.include <bsd.subdir.mk>

=== debian/changelog ===
pmake (1.45-10) unstable; urgency=low

  * Fixed broken '.Nm ""' directives in the man page. Closes: #137768
  * Changed name from "make" to "pmake" in manpage.

 -- Steve McIntyre <93sam@debian.org>  Tue, 12 Mar 2002 21:59:55 +0000

pmake (1.45-9) unstable; urgency=low

  * Fixed broken .Bl directives in the man page. Closes: #117723

 -- Steve McIntyre <93sam@debian.org>  Sun, 04 Nov 2001 17:00:14 +0000

pmake (1.45-8) unstable; urgency=high

  * High urgency because of two important bug fixes...
  * Fixed important bug in getopt handling that broke -n flag in
    recursive Makefiles. Closes: #109608
  * Modified shared library targets to use $(CC) -shared instead of
    $(LD) -x -shared, which didn't work. Closes: #109959

 -- Steve McIntyre <93sam@debian.org>  Sat, 08 Sep 2001 15:35:11 +0100

pmake (1.45-7) unstable; urgency=low

  * Don't depend on particular locations of groff's macros, as they may
    change, and indeed have done with groff 1.17 (closes:
    #101973). Thanks to Colin Watson for the patch.

 -- Steve McIntyre <93sam@debian.org>  Sun, 24 Apr 2001 02:40:21 +0100

pmake (1.45-6) unstable; urgency=low

  * Make sure that make execs a shell to expand target rules
    containing "~". Closes: #89313.
  * Fixed the definition of "sh" in job.c so that pmake will play
    nicely with bash if non-compat mode is used (e.g parallel
    makes). It was assuming that "sh" was "ash" and understood the -q
    flag.
  
 -- Steve McIntyre <93sam@debian.org>  Tue, 17 Apr 2001 02:10:41 +0100

pmake (1.45-5) unstable; urgency=low

  * Applied patch for Hurd from Igor Khavkine <i_khavki@alcor.concordia.ca>.
  * Added Build-Depends for groff. Closes: #90358
  * New maintainer address
  * Updated Standards-Version.
  
 -- Steve McIntyre <93sam@debian.org>  Thu, 22 Mar 2001 19:19:08 +0100

pmake (1.45-4) unstable; urgency=low

  * New maintainer.
  * Updated Standards-Version.
  * Fixed multiple lintian warnings.
  
 -- Steve McIntyre <stevem@chiark.greenend.org.uk>  Sun, 21 May 2000 18:36:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: pmake
 Section: devel
 Priority: optional
-Maintainer: Edward Brocklesby <ejb@debian.org>
-Standards-Version: 2.5.0.0
+Maintainer: Steve McIntyre <93sam@debian.org>
+Standards-Version: 3.2.1.0
+Build-Depends: groff
 
 Package: pmake
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,8 @@
 
 ARCH=$(shell dpkg --print-gnu-build-architecture)
 CFLAGS="-O2  -g -Wall -D__COPYRIGHT\(x\)= -D__RCSID\(x\)= \
-	-I. -DMACHINE=\\\"debian\\\" -DMACHINE_ARCH=\\\"${ARCH}\\\""
+	-I. -DMACHINE=\\\"debian\\\" -DMACHINE_ARCH=\\\"${ARCH}\\\" \
+	-D_GNU_SOURCE"
 
 build:
 	$(checkdir)
@@ -36,10 +37,10 @@
 	install -s -m 755 bmake debian/tmp/usr/bin/pmake
 	install -m 755 mkdep debian/tmp/usr/bin/
 
-	install -d -m 755 debian/tmp/usr/man/man1/
-	install -m 644 make.1 debian/tmp/usr/man/man1/pmake.1
-	install -m 644 mkdep.1 debian/tmp/usr/man/man1/
-	gzip -9v debian/tmp/usr/man/man1/*
+	install -d -m 755 debian/tmp/usr/share/man/man1/
+	install -m 644 make.1 debian/tmp/usr/share/man/man1/pmake.1
+	install -m 644 mkdep.1 debian/tmp/usr/share/man/man1/
+	gzip -9v debian/tmp/usr/share/man/man1/*
 
 	install -d -m 755 debian/tmp/usr/share/mk/
 	for file in mk/*; \
@@ -47,17 +48,22 @@
 	  install -m 644 $$file debian/tmp/usr/share/$$file; \
 	done
 
-	install -d -m 755 debian/tmp/usr/doc/pmake/
-	groff -Tascii -M/usr/share/groff/tmac -ms PSD.doc/tutorial.ms > \
-	      debian/tmp/usr/doc/pmake/tutorial.asc
-	groff -Tps -M/usr/share/groff/tmac -ms PSD.doc/tutorial.ms > \
-	      debian/tmp/usr/doc/pmake/tutorial.ps
-	cp debian/changelog debian/tmp/usr/doc/pmake/changelog.Debian
-	gzip -9v debian/tmp/usr/doc/pmake/*
-	install -m 644 debian/copyright  debian/tmp/usr/doc/pmake/
+	install -d -m 755 debian/tmp/usr/share/doc/pmake/
+	groff -Tascii -ms PSD.doc/tutorial.ms > \
+	      debian/tmp/usr/share/doc/pmake/tutorial.asc
+	groff -Tps -ms PSD.doc/tutorial.ms > \
+	      debian/tmp/usr/share/doc/pmake/tutorial.ps
+	cp debian/changelog debian/tmp/usr/share/doc/pmake/changelog.Debian
+	gzip -9v debian/tmp/usr/share/doc/pmake/*
+	install -m 644 debian/copyright  debian/tmp/usr/share/doc/pmake/
+
+	-install -m 755 debian/preinst debian/tmp/DEBIAN/preinst
+	-install -m 755 debian/postinst debian/tmp/DEBIAN/postinst
+	-install -m 755 debian/prerm debian/tmp/DEBIAN/prerm
+	-install -m 755 debian/postrm debian/tmp/DEBIAN/postrm
 
 	dpkg-shlibdeps debian/tmp/usr/bin/pmake
-	dpkg-gencontrol 
+	dpkg-gencontrol -isp
 	chown -R root.root debian/tmp/
 	chmod -R go=rX debian/tmp/
 	dpkg --build debian/tmp/ ..

## pmake 1.45-11

=== debian/changelog ===
pmake (1.45-11) unstable; urgency=low

  * Set defaults to match policy better. Closes: #150895. Thanks to 
    Matej Vela for the patch.

 -- Steve McIntyre <93sam@debian.org>  Sun, 30 Jun 2002 23:52:31 +0100

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 clean:
 	$(checkdir)
 	$(MAKE) -f Makefile.boot clean
-	-rm -rf build *~ debian/tmp debian/*~ debian/files* debian/substvar*
+	-rm -rf build *~ debian/tmp debian/*~ debian/files* debian/substvar* mk/*~
 
 binary-indep:   checkroot build
 	$(checkdir)

## pmake 1.98

=== Makefile ===
#	$NetBSD: Makefile,v 1.31 2004/02/15 19:05:45 sjg Exp $
#	@(#)Makefile	5.2 (Berkeley) 12/28/90

CPPFLAGS+= -I${.CURDIR}
PROG=	make
SRCS=	arch.c buf.c compat.c cond.c dir.c for.c hash.c job.c main.c \
	make.c parse.c str.c suff.c targ.c trace.c var.c util.c 
SRCS+=	lstAppend.c lstAtEnd.c lstAtFront.c lstClose.c lstConcat.c \
	lstDatum.c lstDeQueue.c lstDestroy.c lstDupl.c lstEnQueue.c \
	lstFind.c lstFindFrom.c lstFirst.c lstForEach.c lstForEachFrom.c \
	lstInit.c lstInsert.c lstIsAtEnd.c lstIsEmpty.c lstLast.c \
	lstMember.c lstNext.c lstOpen.c lstRemove.c lstReplace.c lstSucc.c
.PATH:	${.CURDIR}/lst.lib
WARNS=3
WFORMAT= 1
.if make(install)
SUBDIR=	PSD.doc
.endif
.if make(obj) || make(clean)
SUBDIR+= unit-tests
.endif

.include <bsd.prog.mk>
.include <bsd.subdir.mk>

# provide a clue as to what we are using
BUILD_DATE!= date +%Y%m%d
MAKE_VERSION:= netbsd-${BUILD_DATE}
CPPFLAGS_main.o:= "-DMAKE_VERSION=\"${MAKE_VERSION}\""
CPPFLAGS+= ${CPPFLAGS_${.TARGET}}
main.o:	${OBJS:Nmain.o} ${MAKEFILE}
COPTS.var.c+= -Wno-cast-qual

# A simple unit-test driver to help catch regressions
accept test:
	cd ${.CURDIR}/unit-tests && ${.MAKE:S,^./,${.CURDIR}/,} TEST_MAKE=${TEST_MAKE:U${.OBJDIR}/${PROG:T}} ${.TARGET}

=== unit-tests/Makefile ===
# $Id: Makefile,v 1.11 2004/02/20 09:03:26 sjg Exp $
#
# Unit tests for make(1)
# The main targets are:
# 
# all:	run all the tests
# test:	run 'all', capture output and compare to expected results
# accept: move generated output to expected results
#
# Adding a test case.  
# Each feature should get its own set of tests in its own suitably
# named makefile which should be added to SUBFILES to hook it in.
# 

.MAIN: all

UNIT_TESTS:= ${.PARSEDIR}

# Simple sub-makefiles - we run them as a black box
# keep the list sorted.
SUBFILES= \
	modmatch \
	modts \
	modword \
	ternary \
	varcmd

all: ${SUBFILES}

# the tests are actually done with sub-makes.
.PHONY: ${SUBFILES}
${SUBFILES}:
	@${.MAKE} -k -f ${UNIT_TESTS}/$@

clean:
	rm -f *.out *.fail *.core

.include <bsd.obj.mk>

TEST_MAKE?= ${MAKE}

# The driver.
# We always pretend .MAKE was called 'make' so the results
# can be compared.
test:
	@echo "${TEST_MAKE} -f ${MAKEFILE} > ${.TARGET}.out 2>&1"
	@cd ${.OBJDIR} && ${TEST_MAKE} -f ${MAKEFILE} 2>&1 | \
	sed 's,^${TEST_MAKE:T}:,make:,' > ${.TARGET}.out || { \
	tail ${.TARGET}.out; mv ${.TARGET}.out ${.TARGET}.fail; exit 1; }
	diff -u ${UNIT_TESTS}/${.TARGET}.exp ${.TARGET}.out

accept:
	mv test.out ${.CURDIR}/test.exp

## pmake 1.111

=== debian/changelog ===
pmake (1.111-3.3) unstable; urgency=low

  * Non-maintainer upload.
  * Mark pmake as Multi-Arch: foreign.  The default configuration does
    differ on different architectures, but it can be overridden by setting
    MACHINE_ARCH and MACHINE_MULTIARCH (closes: #694907).
  * Use correct compiler when cross-building (closes: #694909).

 -- Colin Watson <cjwatson@debian.org>  Tue, 04 Jun 2013 11:27:37 +0100

pmake (1.111-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "powerpc and sparc64 considered as incomplete"
    Patch by Aurelien Jarno
    Closes: 640919

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 22 Sep 2011 08:39:25 +1000

pmake (1.111-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix missing -Wl for linker arguments
    Patch by Guillem Jover
    Closes: 628677

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 25 Jun 2011 18:55:30 +1000

pmake (1.111-3) unstable; urgency=low

  * 100_mk.diff: prepend -Wl for linker-only flags (Closes: 610516).
  * 140_multiarch.diff: new patch for multiarch, courtesy of Guillem Jover;
    fixes hardcoded paths (Closes: #626877).
  * 150_mktemp.diff: new patch, replace insecure temporary file handling with
    proper mktemp use, courtesy of Matej Vela (Closes: 626673).

 -- Sam Hocevar <sho@debian.org>  Sun, 29 May 2011 15:44:08 +0200

pmake (1.111-2) unstable; urgency=low

  [ Sam Hocevar <sho@debian.org> ]
  * Switch package to 3.0 (quilt) format.
  * debian/patches: rough split of the old patch.
  * debian/control: set policy to 3.8.3.

  [ Thorsten Glaser <tg@mirbsd.de> ]
  * Port to hurd-i386 (Closes: #547459)
    - make.h: define MAXPATHLEN if not defined (XXX kludge)
    - main.c: check sysconf(_PC_PATH_MAX) and bail out if larger than
      the defined kludge value; inform the user appropriately
    I’m doing it this way because this codebase is ancient, and to
    really fix this issue is not worth the effort. No activity in
    more than four years speaks for itself.
  * mk/sys.mk: We do not run NetBSD® but Debian. (Closes: #493839)
  * debian/rules: Replace 「dpkg --print-gnu-build-architecture」 with
    「dpkg-architecture -qDEB_HOST_ARCH_CPU」 to unbreak build.
  * debian/rules: Use -Wno-unused to clean up build messages.

 -- Sam Hocevar <sho@debian.org>  Mon, 21 Dec 2009 22:43:44 +0100

pmake (1.111-1) unstable; urgency=low

  * New upstream snapshot.
  * This version properly parses arguments and does not crash when parameters
    are missing (Closes: #287336, #316394).
  * debian/control:
    + Set policy to 3.6.2.1.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu,  7 Jul 2005 10:20:56 +0200

pmake (1.98-3) unstable; urgency=low

  * mk/bsd.man.mk:
    + Use symlinks instead of hard links when using the MLINKS directive
      to link manual pages, courtesy of Robert Millan.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 12 Mar 2004 13:14:27 +0100

pmake (1.98-2) unstable; urgency=low

  * buf.c:
    + Work around a GCC 3 ICE on hppa.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed, 10 Mar 2004 18:43:16 +0100

pmake (1.98-1) unstable; urgency=low

  * New maintainer (Closes: #218804).
  * New upstream version from NetBSD HEAD (Closes: #134798).
  * Moved to a non-native package.
  * debian/rules:
    + Switched to debhelper.
  * main.c:
    + Parse $MAKE instead of $MAKEFLAGS when called from GNU make to avoid
      strange interactions (Closes: #189097).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 27 Feb 2004 16:04:12 +0100

=== debian/control ===
Source: pmake
Section: devel
Priority: optional
Maintainer: Sam Hocevar <sho@debian.org>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 5.0), groff

Package: pmake
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: NetBSD make
 pmake is a program designed to simplify the maintenance of other
 programs. Its input is a list of specifications as to the files upon
 which programs and other files depend.  mkdep, a program to construct
 Makefile dependency lists, is also included.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)
MULTIARCH=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
CFLAGS="-O2  -g -Wall -D__COPYRIGHT\(x\)= -D__RCSID\(x\)= \
	-I. -DMACHINE=\\\"debian\\\" -DMACHINE_ARCH=\\\"${ARCH}\\\" \
	-DMACHINE_MULTIARCH=\\\"${MULTIARCH}\\\" \
	-DHAVE_SETENV -DHAVE_STRERROR -DHAVE_STRDUP -DHAVE_STRFTIME \
	-DHAVE_VSNPRINTF \
	-D_GNU_SOURCE -Wno-unused"

DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
CROSS :=
else
CROSS := CC=$(DEB_HOST_GNU_TYPE)-gcc
endif

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) -f Makefile.boot CFLAGS=$(CFLAGS) $(CROSS)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) -f Makefile.boot clean
	rm -f pmake pmake.1
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs usr/bin usr/share/mk usr/share/doc/pmake
	cp bmake pmake
	cp make.1 pmake.1
	dh_install pmake mkdep usr/bin
	dh_install mk/* usr/share/mk/
	groff -Tascii -ms PSD.doc/tutorial.ms > \
	      debian/pmake/usr/share/doc/pmake/tutorial.asc
	groff -Tps -ms PSD.doc/tutorial.ms > \
	      debian/pmake/usr/share/doc/pmake/tutorial.ps
	gzip -9v debian/pmake/usr/share/doc/pmake/*

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_install
	dh_installman pmake.1 mkdep.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## pmake 20130730

=== Makefile ===
#	$Id: Makefile,v 1.17 2013/07/30 19:13:53 sjg Exp $

# Base version on src date
MAKE_VERSION= 20130730

PROG=	bmake

SRCS= \
	arch.c \
	buf.c \
	compat.c \
	cond.c \
	dir.c \
	for.c \
	hash.c \
	job.c \
	main.c \
	make.c \
	make_malloc.c \
	meta.c \
	parse.c \
	str.c \
	strlist.c \
	suff.c \
	targ.c \
	trace.c \
	util.c \
	var.c

# from lst.lib/
SRCS+= \
	lstAppend.c \
	lstAtEnd.c \
	lstAtFront.c \
	lstClose.c \
	lstConcat.c \
	lstDatum.c \
	lstDeQueue.c \
	lstDestroy.c \
	lstDupl.c \
	lstEnQueue.c \
	lstFind.c \
	lstFindFrom.c \
	lstFirst.c \
	lstForEach.c \
	lstForEachFrom.c \
	lstInit.c \
	lstInsert.c \
	lstIsAtEnd.c \
	lstIsEmpty.c \
	lstLast.c \
	lstMember.c \
	lstNext.c \
	lstOpen.c \
	lstPrev.c \
	lstRemove.c \
	lstReplace.c \
	lstSucc.c

# this file gets generated by configure
.-include "Makefile.config"

.if !empty(LIBOBJS)
SRCS+= ${LIBOBJS:T:.o=.c}
.endif

# just in case
prefix?= /usr
srcdir?= ${.CURDIR}

DEFAULT_SYS_PATH?= .../share/mk:${prefix}/share/mk

CPPFLAGS+= -DUSE_META
CFLAGS+= ${CPPFLAGS}
CFLAGS+= -D_PATH_DEFSYSPATH=\"${DEFAULT_SYS_PATH}\"
CFLAGS+= -I. -I${srcdir} ${XDEFS} -DMAKE_NATIVE
CFLAGS+= ${COPTS.${.ALLSRC:M*.c:T:u}}
COPTS.main.c+= "-DMAKE_VERSION=\"${MAKE_VERSION}\""

# meta mode can be useful even without filemon 
FILEMON_H ?= /usr/include/dev/filemon/filemon.h
.if exists(${FILEMON_H}) && ${FILEMON_H:T} == "filemon.h"
COPTS.meta.c += -DHAVE_FILEMON_H -I${FILEMON_H:H}
.endif

.PATH:	${srcdir}
.PATH:	${srcdir}/lst.lib

.if make(obj) || make(clean)
SUBDIR+= unit-tests
.endif

# start-delete1 for bsd.after-import.mk
# we skip a lot of this when building as part of FreeBSD etc.

# list of OS's which are derrived from BSD4.4
BSD44_LIST= NetBSD FreeBSD OpenBSD DragonFly
# we are...
OS!= uname -s
# are we 4.4BSD ?
isBSD44:=${BSD44_LIST:M${OS}}

.if ${isBSD44} == ""
MANTARGET= cat
INSTALL?=${srcdir}/install-sh
.if (${MACHINE} == "sun386")
# even I don't have one of these anymore :-)
CFLAGS+= -DPORTAR
.elif (${MACHINE} != "sunos")
SRCS+= sigcompat.c
CFLAGS+= -DSIGNAL_FLAGS=SA_RESTART
.endif
.else
MANTARGET?= man
.endif

# turn this on by default - ignored if we are root
WITH_INSTALL_AS_USER=

# supress with -DWITHOUT_*
OPTIONS_DEFAULT_YES+= \
	AUTOCONF_MK \
	INSTALL_MK \
	PROG_LINK

OPTIONS_DEFAULT_NO+= \
	PROG_VERSION

# process options now
.include <own.mk>

.if ${MK_PROG_VERSION} == "yes"
PROG_NAME= ${PROG}-${MAKE_VERSION}
.if ${MK_PROG_LINK} == "yes"
SYMLINKS+= ${PROG}-${MAKE_VERSION} ${BINDIR}/${PROG}
.endif
.endif

EXTRACT_MAN=no
# end-delete1

MAN= ${PROG}.1
MAN1= ${MAN}

.if (${PROG} != "make")
CLEANFILES+= my.history
.if make(${MAN}) || !exists(${srcdir}/${MAN})
my.history: ${MAKEFILE}
	@(echo ".Nm"; \
	echo "is derived from NetBSD"; \
	echo ".Xr make 1 ."; \
	echo "It uses autoconf to facilitate portability to other platforms."; \
	echo ".Pp") > $@

.NOPATH: ${MAN}
${MAN}:	make.1 my.history
	@echo making $@
	@sed -e 's/^.Nx/NetBSD/' -e '/^.Nm/s/make/${PROG}/' \
	-e '/^.Sh HISTORY/rmy.history' \
	-e '/^.Sh HISTORY/,$$s,^.Nm,make,' ${srcdir}/make.1 > $@

all beforeinstall: ${MAN}
_mfromdir=.
.endif
.endif

MANTARGET?= cat
MANDEST?= ${MANDIR}/${MANTARGET}1

.if ${MANTARGET} == "cat"
_mfromdir=${srcdir}
.endif

.include <prog.mk>

CPPFLAGS+= -DMAKE_NATIVE -DHAVE_CONFIG_H
COPTS.var.c += -Wno-cast-qual
COPTS.job.c += -Wno-format-nonliteral
COPTS.parse.c += -Wno-format-nonliteral
COPTS.var.c += -Wno-format-nonliteral

# Force these
SHAREDIR= ${prefix}/share
BINDIR= ${prefix}/bin
MANDIR= ${SHAREDIR}/man

.if !exists(.depend)
${OBJS}: config.h
.endif

# make sure that MAKE_VERSION gets updated.
main.o: ${SRCS} ${MAKEFILE}

# start-delete2 for bsd.after-import.mk
.if ${MK_AUTOCONF_MK} == "yes"
.include <autoconf.mk>
.endif
SHARE_MK?=${SHAREDIR}/mk
MKSRC=${srcdir}/mk
INSTALL?=${srcdir}/install-sh

.if ${MK_INSTALL_MK} == "yes"
install: install-mk
.endif

beforeinstall:
	test -d ${DESTDIR}${BINDIR} || ${INSTALL} -m 775 -d ${DESTDIR}${BINDIR}
	test -d ${DESTDIR}${MANDEST} || ${INSTALL} -m 775 -d ${DESTDIR}${MANDEST}

install-mk:
.if exists(${MKSRC}/install-mk)
	test -d ${DESTDIR}${SHARE_MK} || ${INSTALL} -m 775 -d ${DESTDIR}${SHARE_MK}
	sh ${MKSRC}/install-mk -v -m 644 ${DESTDIR}${SHARE_MK}
.else
	@echo need to unpack mk.tar.gz under ${srcdir} or set MKSRC; false
.endif
# end-delete2

# A simple unit-test driver to help catch regressions
accept test:
	cd ${.CURDIR}/unit-tests && MAKEFLAGS= ${.MAKE} -r -m / TEST_MAKE=${TEST_MAKE:U${.OBJDIR}/${PROG:T}} ${.TARGET}

=== debian/changelog ===
pmake (20130730-2) unstable; urgency=low

  * Provide bmake.
  * Add buildsystem addon for debhelper.

 -- Andrew Shadura <andrewsh@debian.org>  Thu, 15 Aug 2013 02:52:01 +0200

pmake (20130730-1) unstable; urgency=low

  * New maintainer.
  * New release based on bmake-20130730.
  * The main binary is now bmake, pmake is a compatibility symlink.
  * Use debhelper 9.
  * Bump Standards-Version to 3.9.4.

 -- Andrew Shadura <andrewsh@debian.org>  Wed, 14 Aug 2013 22:55:06 +0200

=== debian/control ===
Source: pmake
Section: devel
Priority: optional
Maintainer: Andrew Shadura <andrewsh@debian.org>
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 9), groff
Homepage: http://www.crufty.net/help/sjg/bmake.html

Package: pmake
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: bmake
Description: NetBSD make
 pmake is a program designed to simplify the maintenance of other
 programs. Its input is a list of specifications as to the files upon
 which programs and other files depend.  mkdep, a program to construct
 Makefile dependency lists, is also included.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)
MULTIARCH=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
CFLAGS=$(shell dpkg-buildflags --get CFLAGS) \
	-D__COPYRIGHT\(x\)= -D__RCSID\(x\)= \
	-I. -DMACHINE=\\\"debian\\\" -DMACHINE_ARCH=\\\"${ARCH}\\\" \
	-DMACHINE_MULTIARCH=\\\"${MULTIARCH}\\\" \
	-DHAVE_CONFIG_H -DNEED_HOST_CDEFS_H -DMAKE_NATIVE \
	-DUSE_META -D_PATH_DEFSYSPATH=\\\"/usr/share/mk\\\" \
	-Wno-unused -DMAKE_LEVEL_ENV=\\\"_MAKE_LEVEL\\\"

DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
CROSS :=
else
CROSS := CC=$(DEB_HOST_GNU_TYPE)-gcc
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --with-machine=debian

override_dh_auto_build:
	$(MAKE) -f Makefile.boot CFLAGS="$(CFLAGS) $(CPPFLAGS)" LIBS="$(LDFLAGS)" $(CROSS)

override_dh_auto_test:

override_dh_auto_clean:
	$(MAKE) -f Makefile.boot clean

override_dh_auto_install:
	ln -s bmake pmake
	groff -Tascii -ms PSD.doc/tutorial.ms > \
	      debian/pmake/usr/share/doc/pmake/tutorial.asc
	groff -Tps -ms PSD.doc/tutorial.ms > \
	      debian/pmake/usr/share/doc/pmake/tutorial.ps
	gzip -9v debian/pmake/usr/share/doc/pmake/*

.PHONY: override_dh_auto_configure override_dh_auto_build override_dh_auto_test override_dh_auto_clean override_dh_auto_install
